%define upstream_name    Games-ABC_Path-Solver
%define upstream_version 0.8.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An ABC Path Solver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A solver for the ABC Path game as featured on
https://brainbashers.com/abcpath.asp .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/abc-path-solve
%{_mandir}/man1/abc-path-solve.1*

%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.8.1-2.mga10
+ Revision: 2250454
- Mageia 10 Mass Rebuild

* Thu Apr 03 2025 tv <tv> 0.8.1-1.mga10
+ Revision: 2173146
- update to 0.8.1

* Mon Jul 01 2024 tv <tv> 0.8.0-1.mga10
+ Revision: 2078671
- update to 0.8.0

* Mon Mar 21 2022 umeabot <umeabot> 0.6.2-2.mga9
+ Revision: 1813376
- Mageia 9 Mass Rebuild

* Fri Oct 16 2020 tv <tv> 0.6.2-1.mga8
+ Revision: 1636321
- update to 0.6.2

* Wed Feb 12 2020 umeabot <umeabot> 0.6.1-3.mga8
+ Revision: 1504558
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.1-2.mga7
+ Revision: 1283927
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1253962
- update to 0.6.1

* Tue Dec 26 2017 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1185268
- update to v0.4.1

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1027649
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 950136
- Mageia 6 Mass Rebuild

* Thu Oct 23 2014 shlomif <shlomif> 0.4.0-1.mga5
+ Revision: 792756
- imported package perl-Games-ABC_Path-Solver


* Thu Oct 23 2014 cpan2dist v0.4.0-1mga
- initial mageia release, generated with cpan2dist
